> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Derivatives Exchanges List

> To query all the supported derivatives exchanges with ID and name on CoinGecko

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

<Tip>
  Use this endpoint to get derivatives exchange IDs for other endpoints that require an `id` parameter.
</Tip>

<CacheInfo rate="5 minutes" />

#### SDK Examples

<CodeGroup>
  ```typescript TypeScript theme={null}
  const response = await client.derivatives.exchanges.getList();

  console.log(JSON.stringify(response, null, 2));
  ```

  ```python Python theme={null}
  response = client.derivatives.exchanges.get_list()

  print(response)
  ```
</CodeGroup>


## OpenAPI

````yaml openapi-specs/demo-api.json get /derivatives/exchanges/list
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /derivatives/exchanges/list:
    get:
      summary: Derivatives Exchanges List
      description: >-
        To query all the supported derivatives exchanges with ID and name on
        CoinGecko
      operationId: derivatives-exchanges-list
      responses:
        '200':
          description: List of derivative exchange identifiers and names
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DerivativesExchangesList'
              example:
                - id: binance_futures
                  name: Binance (Futures)
                - id: bybit
                  name: Bybit (Futures)
components:
  schemas:
    DerivativesExchangesList:
      type: array
      items:
        type: object
        required:
          - id
          - name
        properties:
          id:
            type: string
            description: Derivatives exchange ID
          name:
            type: string
            description: Derivatives exchange name
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_demo_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````